	.386
	.model use32 small
	PUBLIC _div,_ldiv
	.code
_ldiv:
_div:
	push	ebp
	mov	ebp,esp
	mov	eax,[ebp+12]
	sub	edx,edx
	idiv	dword ptr [ebp+16]
	mov	ecx,[ebp+8]
	mov	[ecx],eax
	mov	[ecx+4],edx
	pop	ebp
	ret
	end